local RoseIcons  = "RoseIcon"

WR = "RoseGuilds/imgs/Winter.dds"
MR = "RoseGuilds/imgs/Midnight.dds"
SR = "RoseGuilds/imgs/Summer.dds"
SPR = "RoseGuilds/imgs/Spring.dds"
AR = "RoseGuilds/imgs/Autumn.dds"
WA = "RoseGuilds/imgs/Worthy_Alpaca.dds"
HK = "RoseGuilds/imgs/Hikate.dds"
RG = "RoseGuilds/imgs/RoseGuilds.dds"
RGWR = "RoseGuilds/imgs/RoseGuildsWR.dds"
RGSR = "RoseGuilds/imgs/RoseGuildsSR.dds"
RGSPR = "RoseGuilds/imgs/RoseGuildsSPR.dds"
RGAR = "RoseGuilds/imgs/RoseGuildsAR.dds"
Grass = "RoseGuilds/imgs/Grass.dds"
MR2 = "RoseGuilds/imgs/MidnightDiscord.dds"
SPR2 = "RoseGuilds/imgs/SpringDiscord.dds"
SR2 = "RoseGuilds/imgs/SummerDiscord.dds"
AR2 = "RoseGuilds/imgs/DiscordAutumn.dds"
Tell = "RoseGuilds/imgs/Tell.dds"
WRD = "RoseGuilds/imgs/WinterDiamond.dds"
MRD = "RoseGuilds/imgs/MidnightDiamond.dds"
SRD = "RoseGuilds/imgs/SummerDiamond.dds"
SPRD = "RoseGuilds/imgs/SpringDiamond.dds"
ARD = "RoseGuilds/imgs/AutumnDiamond.dds"
WRGM = "RoseGuilds/imgs/WinterGM.dds"
MRGM = "RoseGuilds/imgs/MidnightGM.dds"
SPRGM = "RoseGuilds/imgs/SpringGM.dds"
SRGM = "RoseGuilds/imgs/SummerGM.dds"
ARGM = "RoseGuilds/imgs/AutumnGM.dds"
Yureka = "RoseGuilds/imgs/Yureka.dds"
Orama = "RoseGuilds/imgs/Orama.dds"
Booster = "RoseGuilds/imgs/Booster.dds"

local ROSESCI = {
"RoseGuilds/imgs/Tell.dds",
"RoseGuilds/imgs/Grass.dds",
"RoseGuilds/imgs/Winter.dds",
"RoseGuilds/imgs/Midnight.dds",
"RoseGuilds/imgs/Summer.dds",
"RoseGuilds/imgs/Spring.dds",
"RoseGuilds/imgs/Autumn.dds",
"RoseGuilds/imgs/WhiteRose.dds",
"RoseGuilds/imgs/Yureka.dds",
"RoseGuilds/imgs/WinterDiamond.dds",
"RoseGuilds/imgs/MidnightDiamond.dds",
"RoseGuilds/imgs/SummerDiamond.dds",
"RoseGuilds/imgs/SpringDiamond.dds",
"RoseGuilds/imgs/AutumnDiamond.dds",
"RoseGuilds/imgs/Worthy_Alpaca.dds",
"RoseGuilds/imgs/Misi.dds",
"RoseGuilds/imgs/MidnightDiscord.dds",
"RoseGuilds/imgs/SpringDiscord.dds",
"RoseGuilds/imgs/SummerDiscord.dds",
"RoseGuilds/imgs/AutumnDiscord.dds",
"RoseGuilds/imgs/MidnightCat.dds",
"RoseGuilds/imgs/SpringCat.dds",
"RoseGuilds/imgs/SummerCat.dds",
"RoseGuilds/imgs/Hikate.dds",
"RoseGuilds/imgs/Tez.dds",
"RoseGuilds/imgs/RoseGuilds.dds",
"RoseGuilds/imgs/RoseGuildsWR.dds",
"RoseGuilds/imgs/RoseGuildsSR.dds",
"RoseGuilds/imgs/RoseGuildsSPR.dds",
"RoseGuilds/imgs/RoseGuildsAR.dds",
"RoseGuilds/imgs/Orama.dds",
"RoseGuilds/imgs/Booster.dds",
}

local ROSESUI = {
["@QueenMisi"] = MRGM,
["@RoyalMail"] = MRGM,
["@Aestmanindel"] = MR,
["@Aneiro01"] = MR,
["@DespiseESO"] = MR,
["@Woo-H"] = MR,
["@Surfehh"] = "RoseGuilds/imgs/WhiteRose.dds",
["@ADovahkiinBosmer"] = MR,
["@lemlest"] = MR,
["@Duncan.Steele"] = MR,
["@SuriValkyrie"] = SRGM,
["@SuriMail"] = SRGM,
["@Orama"] = Orama,
["@AlternaDID"] = SR,
["@zbzszzzt123"] = SR,
["@bellablithely"] = WRGM,
["@Kay.Cee"] = "RoseGuilds/imgs/RetiredGM.dds",
["@Gariele"] = WR,
["@LizardTrader"] = WR,
["@Roseb0mb"] = WR,
["@Dovah_Bear2412"] = WR,
["@Worthy_Alpaca"] = WA,
["@xYureka"] = Yureka,
["@GaaraSama36"] = WR,
["@T3vvy"] = WR,
["@Im_Tea"] = WR,
["@Ocella"] = WR,
["@Supe_K46"] = SPRGM,
["@Supemail"] = SPRGM,
["@Trilca"] = SPR,
["@varn_nine"] = SPR,
["@Cerebrilisk"] = SPR,
["@Lixy111"] = SPR,
["@Chth0nia"] = SPR,
["@Rhiwiel"] = SPR,
["@Ceral107"] = ARGM,
["@AR_PostOffice"] = ARGM,
["@Aeon_Deliverance"] = AR,
["@jameswongw"] = AR,
["@AcherontiaAtropos"] = AR,
["@DreadFatherSithis"] = WR,
["@Arkaros_R"] = AR,
["@Exxidium"] = AR,
["@Ziggi_Zuggi"] = AR,
["@Erato"] = MR,
["@Superkitty193"] = MR,
["@Louibyte"] = MR,
["@Chrisenium"] = MR,
["@Invok3r"] = MRD,
["@Tinawaka"] = MRD,
["@ShadowKnight_472"] = MRD,
["@Letalis_Insania"] = MRD,
["@Hekare"] = MRD,
["@Apranaxfm"] = MRD,
["@acidface23"] = MRD,
["@Dar1usJ"] = MRD,
["@Vorino"] = MRD,
["@TemporaryName"] = MRD,
["@lavademon"] = MRD,
["@Gulquan"] = MRD,
["@BlackLeafs"] = MRD,
["@oombulance"] = MRD,
["@FroggyWatcher"] = MRD,
["@Prozac21"] = MRD,
["@Illuminatio"] = MRD,
["@GaretSetren"] = MRD,
["@AutumnFiber"] = MRD,
["@Nightlight384"] = MRD,
["@DawnBreakerX"] = MRD,
["@killerbunny1"] = MRD,
["@Yivo92"] = MRD,
["@Agnimhav"] = MRD,
["@trognak"] = MRD,
["@Draconifors"] = MRD,
["@RoguishPanda"] = MRD,
["@TheCat9Lives"] = MRD,
["@LadyWindhelm"] = MRD,
["@CatsCatsCatsCatsCats"] = MRD,
["@SkoomaWitch"] = MRD,
["@Lexvortoxin"] = MRD,
["@Savathûn-Fa"] = MRD,
["@alucard2490"] = MRD,
["@TheMetaDwarf"] = MRD,
["@phenshaw"] = MRD,
["@YivoBLI"] = MRD,
["@Yarndy"] = MRD,
["@SupremeGuru"] = MRD,
["@TooT4ll"] = MRD,
["@Expopcorn"] = MRD,
["@KenTiz"] = MRD,
["@loopy508"] = MRD,
["@memetea"] = MRD,
["@ScotlandsANGEL"] = MRD,
["@AstridOrion"] = MRD,
["@Drazzic072"] = MRD,
["@P0s3id0n78"] = MRD,
["@Elshe"] = MRD,
["@Galaethir"] = MRD,
["@Silknoose"] = MRD,
["@Trinitallia"] = MRD,
["@Dexzi"] = MRD,
["@ComeAnima"] = MRD,
["@MrMaxiKys"] = MRD,
["@Widow's-Path"] = MRD,
["@MegaeraFury"] = MRD,
["@ronnievdc"] = MRD,
["@JamesPeng"] = MRD,
["@Oopsie-Daisy"] = MRD,
["@wildpintu"] = MRD,
["@zwx1fte"] = MRD,
["@Nibbana71"] = MRD,
["@DragonsBan3"] = MRD,
["@cinekpsk"] = MRD,
["@UnhappyCat"] = MRD,
["@phasmidgecko"] = MRD,
["@Emilinie95"] = MRD,
["@Fenrisurtur"] = MRD,
["@Nadiya71"] = MRD,
["@Sehr_SeltsamS"] = MRD,
["@CryMyName"] = MRD,
["@DevonNullable"] = MRD,
["@Zeiferdaeus"] = MRD,
["@Sprouty95"] = MRD,
["@SHIROI-OG"] = MRD,
["@fazmitgeko"] = MRD,
["@Gold1310"] = MRD,
["@matphil11"] = MRD,
["@fairskin"] = MRD,
["@TwilightFTW"] = MRD,
["@TrueWarDevil"] = MRD,
["@Calthoras"] = MRD,
["@Sanny138"] = MRD,
["@andyb63"] = MRD,
["@PirateBunni"] = MRD,
["@Andersen1989"] = MRD,
["@Sceliphron"] = MRD,
["@Ghost0faCr0w"] = MRD,
["@nTaz"] = MRD,
["@JordyyyS"] = MRD,
["@ZaiZah"] = MRD,
["@bobsontpm"] = MRD,
["@Ehna"] = MRD,
["@Bert_Merlin"] = MRD,
["@Haninos.x"] = MRD,
["@Nicdanu"] = MRD,
["@tooslow001"] = MRD,
["@Widow'sWrath"] = MRD,
["@Hal_Sekuro"] = MRD,
["@Jamedog97x"] = MRD,
["@Kimchi-King"] = MRD,
["@WakkaRoyal"] = MRD,
["@buMf00d"] = MRD,
["@Dave_Sausage"] = MRD,
["@Atomkern"] = MRD,
["@alco_mx"] = MRD,
["@nO.Ob"] = MRD,
["@nveartt"] = MRD,
["@Calexander"] = MRD,
["@Gurettal"] = MRD,
["@Revik32"] = MRD,
["@Tjoralf"] = MRD,
["@SiiDistiC"] = MRD,
["@YAKKSHA"] = MRD,
["@SteelWings28"] = MRD,
["@Agurdn"] = MRD,
["@Thul_Grohiik"] = MRD,
["@leanneparker96"] = MRD,
["@bosmerblood"] = MRD,
["@Trashcanpanda"] = MRD,
["@Cat_1960"] = MRD,
["@Cloud460"] = MRD,
["@Ktana87"] = MRD,
["@Vagdavercustis"] = MRD,
["@Paperpath"] = MRD,
["@raven293"] = MRD,
["@Tatsel2008"] = MRD,
["@Meskalero7"] = MRD,
["@LadyCailin"] = MRD,
["@anniexcc"] = MRD,
["@Mustikkatassu"] = MRD,
["@AtricolorKei"] = MRD,
["@feanor800"] = MRD,
["@H_llox"] = MRD,
["@Mileenia"] = MRD,
["@ReviaAndersson"] = MRD,
["@syverts1"] = MRD,
["@Arvakesh"] = MRD,
["@CairnRaider"] = MRD,
["@Commoragh"] = MRD,
["@EndlessKnot"] = MRD,
["@Gloomjam"] = MRD,
["@IndorilReborn"] = MRD,
["@Irynizis"] = MRD,
["@JediMasterAB1"] = MRD,
["@KianTremayne"] = MRD,
["@Looi81"] = MRD,
["@mak013"] = MRD,
["@MorningStarLucifer"] = MRD,
["@nightmare_lilith"] = MRD,
["@Shadmant"] = MRD,
["@UpsideDownFrown"] = MRD,
["@WackedsB"] = MRD,
["@Wxin9513"] = MRD,
["@Zedeus"] = MRD,
["@Silverstar1610"] = MRD,
["@Necromrog"] = MRD,
["@CantarellaMiyani"] = MRD,
["@Viradecthis"] = MRD,
["@Expelliarmus579"] = MRD,
["@N7-Ash"] = MRD,
["@Tohrsog"] = MRD,
["@Ben2311"] = MRD,
["@praisesithis"] = MRD,
["@JapaniKatti"] = MRD,
["@Windy-Curve"] = MRD,
["@AirisESO"] = MRD,
["@AniuESO"] = MRD,
["@Xenon107"] = MRD,
["@Saurabhk"] = MRD,
["@Calebrator"] = MRD,
["@Ath'tok-Dragonia"] = MRD,
["@Katzenkumpel"] = MRD,
["@xMoonsugar"] = MRD,
["@Iris-0"] = MRD,
["@Skoomabottle"] = MRD,
["@Lexalious"] = MRD,
["@Enrik72"] = MRD,
["@afxmac"] = MRD,
["@softthistle"] = MRD,
["@Alusi"] = MRD,
["@Nerrevar"] = MRD,
["@LeIuch"] = MRD,
["@MinaM"] = MRD,
["@RaymanK"] = MRD,
["@Dexarde"] = MRD,
["@SueMeh"] = MRD,
["@Twitchybear8192"] = MRD,
["@Thaaltir"] = MRD,
["@Alduin_TheWorldEater"] = MRD,
["@Recci1"] = MRD,
["@rhythm_l"] = MRD,
["@KAI_MOOK"] = MRD,
["@Alyeesa"] = MRD,
["@Trollkatt"] = MRD,
["@JarNoryb"] = MRD,
["@RuDragon01"] = MRD,
["@AzurEssence"] = SRD,
["@clawesome_crab"] = SRD,
["@dBm_010102"] = SRD,
["@drmrp381"] = SRD,
["@livvy7678"] = SRD,
["@mknich"] = SRD,
["@shravan"] = SRD,
["@Fedora-TheExplora"] = SRD,
["@Thanksalot"] = SRD,
["@WAiiN"] = SRD,
["@Mr_XPG0"] = SRD,
["@Sheepboy87"] = SRD,
["@FixedBasilisk"] = SRD,
["@Chilli.Winters"] = SRD,
["@EloraBlackfyre"] = SRD,
["@CertainlyP"] = SRD,
["@LShaffer"] = SRD,
["@Luniya"] = SRD,
["@Kitto26"] = SRD,
["@Narddor"] = SRD,
["@NobleNecro"] = SRD,
["@ScarletAsh"] = SRD,
["@TillyGB"] = SRD,
["@KathyC"] = SRD,
["@SkyGubbins"] = SRD,
["@FluffbuttKitty"] = SRD,
["@quatraine"] = SRD,
["@IFairyKingI"] = SRD,
["@Nianjing"] = SRD,
["@Kariteri"] = SRD,
["@care2old2iam"] = SRD,
["@IIBonesII"] = SRD,
["@Kiraasi"] = SRD,
["@Frozenfroster"] = SRD,
["@villacollina"] = SRD,
["@mfabry"] = SRD,
["@V4inz"] = SRD,
["@MrsDoris"] = SRD,
["@Ichigo44"] = SRD,
["@Katrial"] = SRD,
["@tekki11"] = SRD,
["@ValidTillApril26"] = SRD,
["@Nfluffy"] = SRD,
["@Silverdrift785"] = SRD,
["@Midway_Rage"] = SRD,
["@EvelynGG"] = SRD,
["@Rebellion9601"] = SRD,
["@AyyLmaoski"] = SRD,
["@idrelkid"] = SRD,
["@Pandaboi8577"] = SRD,
["@Skuuka"] = SRD,
["@Parowski"] = SRD,
["@Rollyro"] = SRD,
["@pel911"] = SRD,
["@Vikingsuperjeff"] = SRD,
["@SorinThePenguin"] = SRD,
["@Swick925"] = SRD,
["@Dann3y"] = SRD,
["@Professor_Phantom"] = SRD,
["@Aleksanderthewizard"] = SRD,
["@Hexenwald"] = SRD,
["@Elwynee"] = SRD,
["@podziemczyk"] = SRD,
["@CaleySeoras"] = SRD,
["@Bluebubb"] = SRD,
["@AeliusMaximus"] = SRD,
["@Bodeega"] = SRD,
["@TheCloakedHedgehog"] = SRD,
["@Flaming_Yeti"] = SRD,
["@Turqblue"] = SRD,
["@Hexenwiese"] = SRD,
["@WAiiNXIV"] = SRD,
["@Lady_Lilianne"] = SRD,
["@llannis"] = SRD,
["@Amarissa"] = SRD,
["@Rupam_Raptor"] = SRD,
["@SoloWulfyy"] = SRD,
["@ElderScrollsYSD"] = SRD,
["@Narild"] = SRD,
["@Skjaldhrafn"] = SRD,
["@Haslat23"] = SRD,
["@Issa-Belle"] = SRD,
["@SaintBelle"] = SRD,
["@wingedcatninja"] = SRD,
["@Zyphorah"] = SRD,
["@Kiraes"] = SRD,
["@BoorilAnFanoJa'qara"] = SRD,
["@Bubbsi"] = SRD,
["@Beul"] = SRD,
["@Ghostrider001"] = SRD,
["@Grisbeau"] = SRD,
["@karote"] = SRD,
["@txo361"] = SRD,
["@Ui.Aodha"] = SRD,
["@velipuolikuu"] = SRD,
["@MarioMario_ESO"] = SRD,
["@Lady-Willow"] = SRD,
["@archfalhwyl"] = SRD,
["@Stormcloud1"] = SRD,
["@Lysset_White"] = SRD,
["@DawnLoire"] = SRD,
["@ItsVexu"] = SRD,
["@IgorRock"] = SRD,
["@JAW_66"] = SRD,
["@supaplex147"] = SRD,
["@Tol3rance"] = SRD,
["@dlanor00"] = SRD,
["@TrinimacAttano"] = SRD,
["@Hen3db"] = SRD,
["@LumpySpacePrincessRT"] = SRD,
["@Kiraeas"] = SRD,
["@MellowTheHusky"] = SRD,
["@JammyBoy1316"] = SRD,
["@Ravenmoss"] = SRD,
["@nostarg"] = SRD,
["@Remnance79"] = SRD,
["@Tsirava"] = SRD,
["@Traveller251"] = SRD,
["@Russtnutts"] = SRD,
["@RedBully17"] = SRD,
["@x1057"] = SRD,
["@ave_phoenix1"] = SRD,
["@Akari_Morticia"] = SRD,
["@DongLord-69"] = SRD,
["@Loriela"] = SRD,
["@Miruin"] = SRD,
["@Kirsaire"] = SRD,
["@mysteryrider63"] = SRD,
["@VeganEyes"] = SRD,
["@Hekate's_Realm"] = SPRD,
["@FetishQ"] = SPRD,
["@Skara_Karna"] = SPRD,
["@ShrekSwampOwner"] = SPRD,
["@Aallaan24"] = SPRD,
["@Blue-Jay"] = SPRD,
["@joaxii"] = SPRD,
["@Avidion123"] = SPRD,
["@Coonie20"] = SPRD,
["@Amintas74"] = SPRD,
["@Fantastix"] = SPRD,
["@Halewalnut"] = SPRD,
["@Wentelteef"] = SPRD,
["@EternalGatekeeper"] = SPRD,
["@bve5"] = SPRD,
["@Trokk32-ur"] = SPRD,
["@Demonseedgfx"] = SPRD,
["@MilkBath"] = SPRD,
["@NoctisXII"] = SPRD,
["@Rikwolf2"] = SPRD,
["@Heatingblue"] = SPRD,
["@Rasoma"] = SPRD,
["@Beggsy12"] = SPRD,
["@PinkGoofball"] = SPRD,
["@Vulpes_Nix"] = SPRD,
["@darkmage979"] = SPRD,
["@DarKnight_24"] = SPRD,
["@meowpurr"] = SPRD,
["@walkerrs407"] = SPRD,
["@Blaleq"] = SPRD,
["@Baka_Kun"] = SPRD,
["@Wakkachikka"] = SPRD,
["@Ralsha700"] = SPRD,
["@Raksha700"] = SPRD,
["@Valryion"] = SPRD,
["@Xcaliburn"] = SPRD,
["@AD0O"] = SPRD,
["@Mezcal"] = SPRD,
["@Thomas_Nyerup"] = SPRD,
["@MezcaI"] = SPRD,
["@Dean340"] = SPRD,
["@imCherry"] = SPRD,
["@BDavid999"] = SPRD,
["@xiormeesh"] = SPRD,
["@Gamussa"] = SPRD,
["@ArvydasR"] = SPRD,
["@Lilytetsuya"] = SPRD,
["@N'guggi"] = SPRD,
["@Vicar_oPizza"] = SPRD,
["@Cassiiopeia"] = SPRD,
["@Eve_Star"] = SPRD,
["@Cliftronia"] = SPRD,
["@Juliana123"] = SPRD,
["@MrMeeroo"] = SPRD,
["@RoseTheFury"] = SPRD,
["@G02H3lI"] = SPRD,
["@bugbytes"] = SPRD,
["@Ulevia"] = SPRD,
["@Alpha_Noob92"] = SPRD,
["@Amiodara"] = SPRD,
["@barkumrift"] = SPRD,
["@G0K4R"] = SPRD,
["@Goromaster91ZC"] = SPRD,
["@kaasa"] = SPRD,
["@Kijo710"] = SPRD,
["@Lifenar"] = SPRD,
["@monkeywithstick"] = SPRD,
["@simver"] = SPRD,
["@Skogsmard"] = SPRD,
["@teddilp"] = SPRD,
["@Y0BB0"] = SPRD,
["@Ibas12"] = SPRD,
["@ResidentialNightmare"] = SPRD,
["@Cascamonius"] = SPRD,
["@Blackperry99"] = SPRD,
["@Angeljyden"] = SPRD,
["@Braman"] = SPRD,
["@Goldoreza"] = SPRD,
["@H4301"] = SPRD,
["@JoAska"] = SPRD,
["@fefvy"] = SPRD,
["@Helios0192"] = SPRD,
["@meowpu"] = SPRD,
["@Silverdrift785"] = SPRD,
["@AdlannaNox"] = SPRD,
["@miaou_miau"] = SPRD,
["@bosmerblood"] = SPRD,
["@epthome"] = SPRD,
["@rcana"] = SPRD,
["@U.Wrex"] = SPRD,
["@Elwynee"] = SPRD,
["@VenatrixVenat"] = SPRD,
["@Neelohs"] = SPRD,
["@Bachsb"] = SPRD,
["@LordPygmy"] = SPRD,
["@Hermit_Master"] = SPRD,
["@Charlama"] = SPRD,
["@GoldenBeardGaming"] = SPRD,
["@Irenicusss"] = SPRD,
["@Dora63"] = SPRD,
["@Lillyce"] = SPRD,
["@Jevarrel"] = SPRD,
["@OG_Baconpancake"] = SPRD,
["@SWTEB"] = SPRD,
["@LuvlyTab"] = SPRD,
["@Pororosuke"] = SPRD,
["@pedror1979"] = SPRD,
["@TheBeaconOfMeridia"] = SPRD,
["@blu3w1"] = SPRD,
["@SeraphRemiel"] = SPRD,
["@TTVFortniteGaming"] = SPRD,
["@takizawa444"] = SPRD,
["@HikariTenShin78"] = SPRD,
["@Speedy.Evenstar"] = SPRD,
["@Cloudless"] = WRD,
["@Gwinhir_Fionnghal"] = WRD,
["@Potato_Boo"] = WRD,
["@Jabba1972"] = WRD,
["@solvarde"] = WRD,
["@Ek1"] = WRD,
["@TheFish101"] = WRD,
["@The-Rust"] = WRD,
["@JN_Spoooky"] = WRD,
["@JN_Slevin"] = WRD,
["@drax_dk"] = WRD,
["@DrOuttaSight"] = WRD,
["@BURT07"] = WRD,
["@Myth.ESO"] = WRD,
["@fefvy"] = WRD,
["@Jaga999"] = WRD,
["@Sunlightprincess"] = WRD,
["@Sil'khar"] = WRD,
["@Eremite13"] = WRD,
["@ChronicNutcase"] = WRD,
["@Hymirr"] = WRD,
["@Kurt_Darkholme"] = WRD,
["@SqWarEdRome"] = WRD,
["@Klynhorton"] = WRD,
["@K4izoku"] = WRD,
["@silver_ju"] = WRD,
["@joergino"] = WRD,
["@JK4751"] = WRD,
["@Upadly"] = WRD,
["@WolfTask"] = WRD,
["@Trappur"] = WRD,
["@LegendRain"] = WRD,
["@Fubariss"] = WRD,
["@Buffy121"] = WRD,
["@DunBheagan"] = WRD,
["@Miezhe"] = WRD,
["@Senaphy"] = WRD,
["@Twitchybear8192"] = WRD,
["@drakeslay97"] = WRD,
["@Kayrillian1"] = WRD,
["@Bora"] = WRD,
["@LionMittens"] = WRD,
["@PrettyBoyDan"] = WRD,
["@LoveEnvoy"] = WRD,
["@sunsimarge"] = WRD,
["@Nymaryarina"] = WRD,
["@Alvalanna"] = WRD,
["@PiTBvLL"] = WRD,
["@BanditQueen"] = WRD,
["@marcbf"] = WRD,
["@puma.spirit"] = WRD,
["@zinizter"] = WRD,
["@voytech666"] = WRD,
["@Ayzxen"] = WRD,
["@Donnerdrummel"] = WRD,
["@EmilyEstelle"] = WRD,
["@MagicAndrej"] = WRD,
["@magpiesentinel2"] = WRD,
["@SadWarrior"] = WRD,
["@SpheresOfChaos"] = WRD,
["@WackenWolf"] = WRD,
["@Nichthinauslehnen"] = WRD,
["@ifto1979"] = WRD,
["@MagicalLija"] = WRD,
["@Leylinnn"] = WRD,
["@Nordskall"] = WRD,
["@MyHawkeye"] = WRD,
["@foura"] = WRD,
["@Sakelu"] = WRD,
["@Sulgros"] = WRD,
["@Linnunrata"] = WRD,
["@Bandit247"] = WRD,
["@fourh"] = WRD,
["@Pahat"] = WRD,
["@Veolo"] = WRD,
["@Xenthen"] = WRD,
["@Archboobie"] = WRD,
["@Storrm-Crow"] = WRD,
["@Daratata"] = WRD,
["@mydriades"] = WRD,
["@Zmey'Gorynych"] = WRD,
["@pite19961210"] = WRD,
["@Phadyn"] = WRD,
["@Moegoe"] = WRD,
["@KnightCmdr"] = WRD,
["@Brawe"] = WRD,
["@Baerenstark2"] = WRD,
["@Aikla"] = WRD,
["@OlzaPepropetto"] = WRD,
["@Rosettastone01"] = WRD,
["@scruffy_duffy"] = WRD,
["@caraway-and_rye"] = WRD,
["@LeniaKiss"] = WRD,
["@Xanathoss"] = WRD,
["@Vanhatai"] = WRD,
["@MGRza"] = WRD,
["@LGRza"] = WRD,
["@YorrickVander"] = WRD,
["@Charley315"] = WRD,
["@dynamite_fox"] = WRD,
["@ArmoGooner"] = WRD,
["@Beeboot"] = WRD,
["@icanbeyourhealerbaby"] = WRD,
["@StylePolice"] = WRD,
["@SarL0u"] = WRD,
["@Skuggirulz"] = WRD,
["@Nattepunt"] = WRD,
["@sylchan"] = WRD,
["@awunderlich"] = WRD,
["@Kaitokuno"] = WRD,
["@MaryshkaNova"] = WRD,
["@Nuala-Golnor"] = WRD,
["@pusio321"] = WRD,
["@Sazzle983"] = WRD,
["@seraphiym"] = WRD,
["@Stiloge"] = WRD,
["@Agimus_VI"] = WRD,
["@CardboardMoose"] = WRD,
["@Cobalthier"] = WRD,
["@Enxada"] = WRD,
["@Kuolemm"] = WRD,
["@Lorclay"] = WRD,
["@mssercan"] = WRD,
["@NekoNoOkasan"] = WRD,
["@Nen-Lalaith"] = WRD,
["@P0PuPnP0P0uT"] = WRD,
["@Remco262000"] = WRD,
["@Ris_Ellith"] = WRD,
["@Vilcleft"] = WRD,
["@D4RK.L0TUS"] = WRD,
["@Irlinya"] = WRD,
["@Robpr"] = WRD,
["@Jxlt"] = WRD,
["@Slevin.VonNeumann"] = WRD,
["@xsmat"] = WRD,
["@DaylightD"] = WRD,
["@Oplia"] = WRD,
["@Uviryth"] = WRD,
["@Colipopz"] = WRD,
["@Lotus686"] = WRD,
["@thecozyfam"] = WRD,
["@andreidei"] = WRD,
["@Ev0cati0"] = WRD,
["@DocSchwarz"] = WRD,
["@HarryTheViking"] = WRD,
["@MagicalLeaf"] = WRD,
["@Skrill.zZ"] = WRD,
["@Amalberga"] = WRD,
["@Bokse"] = WRD,
["@Lord_Graas"] = WRD,
["@CeejayX"] = WRD,
["@INBEFOREDEATH"] = WRD,
["@AeliusMaximus"] = WRD,
["@Br000dmother"] = WRD,
["@Boostercc"] = WRD,
["@heinousmoz444"] = WRD,
["@Neonit"] = WRD,
["@Swxtchu"] = WRD,
["@Exxstasy"] = WRD,
["@AndosUK"] = WRD,
["@Mattalixer"] = WRD,
["@Riftley_HUN"] = WRD,
["@Cryowynd"] = WRD,
["@Isabella_secret"] = WRD,
["@Kasuomi"] = WRD,
["@Skolandrik"] = WRD,
["@Seyz"] = WRD,
["@Mahleisen"] = WRD,
["@GibsonGirl71"] = WRD,
["@redouane-amigo"] = WRD,
["@dara_shadowmane"] = WRD,
["@Bigfoot35"] = WRD,
["@robspain"] = WRD,
["@Rosvyra"] = WRD,
["@JordyyyS"] = WRD,
["@Dundersunda"] = WRD,
["@Tezlakipuka"] = WRD,
["@mbloomer04"] = WRD,
["@Agurdn"] = WRD,
["@Loading1001"] = WRD,
["@Lezenford"] = WRD,
["@JustyneKayse"] = WRD,
["@Suffscreams"] = ARD,
["@Kwean"] = ARD,
["@HeroOfTheNight"] = ARD,
["@Thuletar"] = ARD,
["@nomadwarp"] = ARD,
["@Hakmart"] = ARD,
["@Scootaderp"] = ARD,
["@Cyn123"] = ARD,
["@Death0x2a"] = ARD,
["@DMFeather"] = ARD,
["@G4M30v3r1"] = ARD,
["@ertkst"] = ARD,
["@Zerek01"] = ARD,
["@Raven_Dagoth"] = ARD,
["@vsrs_au"] = ARD,
["@AdlannaNox"] = ARD,
["@Akayashi"] = ARD,
["@NetworkElf"] = ARD,
["@King-Leoric"] = ARD,
["@Bonnerkiller"] = ARD,
["@Helios0192"] = ARD,
["@h3dsh0t_za"] = ARD,
["@qwopzxcv5"] = ARD,
["@LordOfPite"] = ARD,
["@Ajok"] = ARD,
["@E-Liz"] = ARD,
["@Gidz63"] = ARD,
["@SinTom"] = ARD,
["@Muddles1980"] = ARD,
["@album-aurum"] = ARD,
["@Else00"] = ARD,
["@cobra844"] = ARD,
["@GirlWithACrow"] = ARD,
["@CannibalOrca"] = ARD,
["@fenix-7"] = ARD,
["@Hanna142x"] = ARD,
["@JadedJeff"] = ARD,
["@Littlesqueek"] = ARD,
["@Shlomo666"] = ARD,
["@UKCarnageUK"] = ARD,
["@StoneyTheCat"] = ARD,
["@tintifaxl"] = ARD,
["@O'mighty"] = ARD,
["@Jimequinox"] = ARD,
["@FurryPandaWAP"] = ARD,
["@Sausages"] = ARD,
["@Vazim"] = ARD,
["@Rockhaven"] = ARD,
["@BBPropJojo"] = ARD,
["@BobKlister"] = ARD,
["@Cee-Jae87"] = ARD,
["@Festivefox"] = ARD,
["@GoodOldAeary"] = ARD,
["@Nhomadx"] = ARD,
["@Baetia"] = ARD,
["@GraNaMara"] = ARD,
["@Hexboom"] = ARD,
["@jingwe"] = ARD,
["@Kwak666"] = ARD,
["@Magic_Tiger"] = ARD,
["@romeobbrass"] = ARD,
["@Talmirch"] = ARD,
["@XXie-gunnerXX"] = ARD,
["@Hexboon"] = ARD,
["@Kasette"] = ARD,
["@nalask"] = ARD,
["@Plutoranium"] = ARD,
["@RubenJ01"] = ARD,
["@X_iegunner"] = ARD,
["@dango0815"] = ARD,
["@byka1986"] = ARD,
["@Kalle7"] = ARD,
["@duo_m"] = ARD,
["@LeksderAuslender"] = ARD,
["@Ehna"] = ARD,
["@furrypandaa"] = ARD,
["@Wardawg2112"] = ARD,
["@Angeljyden"] = ARD,
["@livvy7678"] = ARD,
["@Narild"] = ARD,
["@Werschmarrt"] = ARD,
["@Xeph-Gor"] = ARD,
["@Geikun"] = ARD,
["@Mellirus"] = ARD,
["@Highsensberg"] = ARD,
["@Steelborn"] = ARD,
["@Orrgoth"] = ARD,
["@Nobeca"] = ARD,
["@thorowdin"] = ARD,
["@TangerSoto"] = ARD,
["@evans95"] = ARD,
["@Gurezo"] = ARD,
["@Looney191"] = ARD,
["@AV.Deus"] = ARD,
["@MissErthana"] = ARD,
["@AdoraSnow27"] = ARD,
["@Point79"] = ARD,
["@D3X1T3R"] = ARD,
["@Artist.5"] = ARD,
["@Meowella"] = ARD,
["@Doxie17"] = ARD,
["@raze109a"] = ARD,
["@srs1"] = ARD,
["@Athesdann"] = ARD,
["@INBEFOREDEATH"] = ARD,
["@XxIEGUNNERxX"] = ARD,
["@Touchofsmoke"] = ARD,
["@WonderfulWizardWill"] = ARD,
["@Willow-Warden"] = ARD,
["@Pauly2804"] = RG,
["@TC_Lee13"] = RG,
["@rolst"] = RG,
["@Beanspuss"] = RG,
["@SadYoungMan"] = RG,
["@Slitsensilla"] = RG,
["@xKey"] = RG,
["@Dosevich"] = RG,
["@CapDeTank"] = RG,
["@cjs2200"] = RG,
["@peace_dose"] = RG,
["@Andromeda_Hyperion"] = RG,
["@VirtualAnomaly"] = RG,
["@Tang1n"] = RG,
["@Bearded-Pizza"] = RG,
["@oODazeOo"] = RG,
["@RubyCarmel"] = RG,
["@Aethalcar"] = RG,
["@Caboom666"] = RG,
["@HexBlackCat"] = RG,
["@ElyasMachera"] = RG,
["@princessthedia"] = RG,
["@Carpath"] = RG,
["@Cpt_Stealthy"] = RG,
["@Z87"] = RG,
["@Belial"] = RG,
["@Bujila"] = RG,
["@iixenoii"] = RG,
["@Feowyn13"] = RG,
["@Zlexi"] = RG,
["@MckenzieBob"] = RG,
["@iffet"] = RG,
["@fen-ski"] = RG,
["@PolskiBarb"] = RG,
["@jordidero"] = RG,
["@SaijinSpooker"] = RG,
["@samthechronicles"] = RG,
["@sheperia"] = RG,
["@Aetherica"] = RG,
["@Draknic_dVil"] = RG,
["@medicqc"] = RG,
["@SiriLuck"] = RG,
["@WinterSolstice"] = RG,
["@BlackAster"] = RG,
["@Swift.sure"] = RG,
["@Kshaak"] = RG,
["@Cainte"] = RG,
["@Sigsaeur"] = RG,
["@Robyn_Sheppard"] = RG,
["@artur.piechowski"] = RG,
["@tamzain"] = RG,
["@ithildae"] = RG,
["@philiandut"] = RG,
["@Ethelson"] = RG,
["@Catare"] = RG,
["@PK1100LT"] = RG,
["@LEEMC69"] = RG,
["@Amprente"] = RG,
["@Tiaka1234"] = RG,
["@bug158"] = RG,
["@duvvel"] = RG,
["@InsaneShad0w92"] = RG,
["@TemporalPersonage"] = RG,
["@Emmgel"] = RG,
["@Shiseido.N7"] = RG,
["@SnowWhiteMotherGoose"] = RG,
["@Wikiae"] = RG,
["@xMentalUnicorn"] = RG,
["@Yan75"] = RG,
["@Hende81"] = RG,
["@Radenska"] = RG,
["@MacRhender"] = RG,
["@Aillas12"] = RG,
["@Oak_Exile"] = RG,
["@Vlannde"] = RG,
["@RietN7"] = RG,
["@imimayj"] = RG,
["@Pest1linz"] = RG,
["@InternetCookie"] = RG,
["@Arnehavre"] = RG,
["@SpanishOxid"] = RG,
["@RedDragonInn"] = RG,
["@Dreiko21"] = RG,
["@Redxabi14"] = RG,
["@Salisz"] = RG,
["@The-Rust"] = RG,
["@Cloud460"] = RG,
["@Salisone"] = RG,
["@trognak"] = RG,
["@Festivefox"] = RG,
["@Ichigo44"] = RG,
["@WAiiNXIV"] = RG,
["@Goldoreza"] = RG,
["@Lilytetsuya"] = RG,
["@Shlomo666"] = RG,
["@loopy508"] = RG,
["@Chilli.Winters"] = RG,
["@DocSchwarz"] = RG,
["@DreadFatherSithis"] = RG,
["@MasterVader"] = "RoseGuilds/imgs/Retired.dds",
["@Hikate"] = HK,
["@Boostercc"] = Booster,
["@QueenMisi"] = "RoseGuilds/imgs/LouibyteMisi.dds",
["@RoyalMail"] = "RoseGuilds/imgs/LouibyteMisi.dds",
["@SuriValkyrie"] = "RoseGuilds/imgs/LouibyteSuri.dds",
["@SuriMail"] = "RoseGuilds/imgs/LouibyteSuri.dds",
["@Supe_K46"] = "RoseGuilds/imgs/LouibyteSupe.dds",
["@Supemail"] = "RoseGuilds/imgs/LouibyteSupe.dds",
["@Ceral107"] = "RoseGuilds/imgs/LouibyteCeral.dds",
["@AR_PostOffice"] = "RoseGuilds/imgs/LouibyteCeral.dds",
}

EVENT_MANAGER:RegisterForEvent( RoseIcons, EVENT_ADD_ON_LOADED, function( _, addonName )
    if addonName ~= RoseIcons then return end
    EVENT_MANAGER:UnregisterForEvent( RoseIcons, EVENT_ADD_ON_LOADED )
    -- check if OdySupportIcons is active and supports unique icon packs
    if OSI and OSI.AddUniqueIconPack then
        OSI.AddUniqueIconPack( ROSESUI )
    end
	if OSI and OSI.AddCustomIconPack then 
		OSI.AddCustomIconPack( ROSESCI )
	end
end )